Skip to content

TOP

  • Facebook
  • Instagram
  • X (Twitter)
  • Pinterest

Japanese vintage/used vinyl records and CDs for sale online

  • Home
  • About Us
    • About Us
    • Staff
    • Feedback
    • Contact Us
  • Blog
    • New Arrivals
    • Database
    • Reviews
      • HM/HR
      • Japanese Metal
  • All Products
  • Genres
  • Vinyl Records
    • Japanese Music
      • Japanese Pops
      • Japanese Rock
      • Japanese Metal
      • Anime Song
      • Douyou
      • Enka
      • Group Sounds
      • Koto
      • Minyou
      • Rakugo
      • Roukyoku
      • School Song
      • Shakuhachi
      • Shamisen
      • Showa Kayo
      • Singer SongWriter
      • Takarazuka Revue
      • Tokusatsu
      • War/Military Song
    • Blues/Country
      • Bluegrass
      • Blues
      • Country Music
      • Southern Rock
    • Children's Song
      • Children
      • Douyou
    • Classical Music
      • Classical
      • Opera
    • Comedy
      • Comedy Song
      • Rakugo
    • Dance Music
      • Acid Jazz
      • Disco Music
      • House Music
      • Noise/Industrial Music
      • Techno
    • Easy Listening
      • Easy Listening
      • Electone
      • New Age
    • HM/HR
      • Heavy Metal & Hard Rock
      • Japanese Metal
    • Jazz
      • Acid Jazz
      • Bossa Nova
      • Easy Listening
      • Fusion
      • Jazz
    • Latin Music
      • Bossa Nova
      • Flamenco
      • Folklore
      • Latin Music
      • Salsa
      • Samba
      • Tango
    • Pops
      • Chanson/French Pops
      • Japanese Pops
      • Pops
      • Singer SongWriter
    • Punk/New Wave
      • Gothic/Darkwave
      • New Wave
      • Punk Rock/Hardcore
    • R&B/Soul/Hiphop
      • Funk
      • R&B
      • Rap/Hip-Hop
      • Soul Music
    • Reggae/Ska
      • Reggae
      • Ska
    • Religious
      • Gospel
      • Religious
    • Rock
      • Alternative Rock
      • AOR
      • British Beat Rock
      • Folk Rock
      • Garage Rock
      • Glamrock
      • Group Sounds
      • Japanese Rock
      • Oldies
      • Progressive Rock
      • Rock
      • Southern Rock
      • Surf Rock
    • Soundtrack
      • Anime Song
      • Disney
      • Game Music
      • Musical
      • Soundtrack
      • Tokusatsu
    • World Music
      • Canzone
      • Chanson/French Pops
      • Hawaiian Music
      • War/Military Song
      • World Music
    • Other
      • Documentary
      • Instruction
      • Karaoke
      • Spoken World
      • Sports
  • CD
    • Japanese Music
      • Japanese Pops
      • Japanese Rock
      • Japanese Metal
      • Anime Song
      • Douyou
      • Enka
      • Group Sounds
      • Koto
      • Minyou
      • Rakugo
      • Roukyoku
      • School Song
      • Shakuhachi
      • Shamisen
      • Showa Kayo
      • Singer SongWriter
      • Takarazuka Revue
      • Tokusatsu
      • War/Military Song
    • Blues/Country
      • Bluegrass
      • Blues
      • Country Music
      • Southern Rock
    • Children's Song
      • Children
      • Douyou
    • Classical Music
      • Classical
      • Opera
    • Comedy
      • Comedy
      • Rakugo
    • Dance Music
      • Acid Jazz
      • Disco Music
      • House Music
      • Noise/Industrial Music
      • Techno
    • Easy Listening
      • Easy Listening
      • New Age
    • HM/HR
      • Heavy Metal & Hard Rock
      • Japanese Metal
    • Jazz
      • Acid Jazz
      • Bossa Nova
      • Easy Listening
      • Fusion
      • Jazz
    • Latin
      • Bossa Nova
      • Flamenco
      • Folklore
      • Latin Music
      • Salsa
      • Samba
      • Tango
    • Pops
      • Chanson/French Pops
      • Japanese Pops
      • Pops
      • Singer SongWriter
    • Punk/New Wave
      • Gothic/Darkwave
      • New Wave
      • Punk Rock/Hardcore
    • R&B/Soul/Hiphop
      • Funk
      • R&B
      • Rap/Hip-Hop
      • Soul Music
    • Reggae/Ska
      • Reggae
      • Ska
    • Religious
      • Gospel
      • Religious
    • Rock
      • Alternative Rock
      • AOR
      • British Beat Rock
      • Folk Rock
      • Garage Rock
      • Glamrock
      • Group Sounds
      • Japanese Rock
      • Oldies
      • Progressive Rock
      • Rock
      • Southern Rock
      • Surf Rock
    • Soundtrack
      • Anime Song
      • Disney
      • Game Music
      • Musical
      • Soundtrack
      • Tokusatsu
    • World Music
      • Canzone
      • Chanson/French Pops
      • Hawaiian Music
      • War/Military Song
      • World Music
    • Other
      • Documentary
      • Instruction
      • Spoken World
      • Sports
  • Books
  • Accessories
  • Big Discount Sale
    • 10% off
    • 30% off
    • 50% off
    • 70% off
    • 90% off
  • X (Twitter)
  • Facebook
  • Pinterest
  • Instagram
Snow Records Japan
  • Home
  • About Us
    • About Us
    • Staff
    • Feedback
    • Contact Us
  • Blog
    • New Arrivals
    • Database
    • Reviews
      • HM/HR
      • Japanese Metal
  • All Products
  • Genres
  • Vinyl Records
    • Japanese Music
      • Japanese Pops
      • Japanese Rock
      • Japanese Metal
      • Anime Song
      • Douyou
      • Enka
      • Group Sounds
      • Koto
      • Minyou
      • Rakugo
      • Roukyoku
      • School Song
      • Shakuhachi
      • Shamisen
      • Showa Kayo
      • Singer SongWriter
      • Takarazuka Revue
      • Tokusatsu
      • War/Military Song
    • Blues/Country
      • Bluegrass
      • Blues
      • Country Music
      • Southern Rock
    • Children's Song
      • Children
      • Douyou
    • Classical Music
      • Classical
      • Opera
    • Comedy
      • Comedy Song
      • Rakugo
    • Dance Music
      • Acid Jazz
      • Disco Music
      • House Music
      • Noise/Industrial Music
      • Techno
    • Easy Listening
      • Easy Listening
      • Electone
      • New Age
    • HM/HR
      • Heavy Metal & Hard Rock
      • Japanese Metal
    • Jazz
      • Acid Jazz
      • Bossa Nova
      • Easy Listening
      • Fusion
      • Jazz
    • Latin Music
      • Bossa Nova
      • Flamenco
      • Folklore
      • Latin Music
      • Salsa
      • Samba
      • Tango
    • Pops
      • Chanson/French Pops
      • Japanese Pops
      • Pops
      • Singer SongWriter
    • Punk/New Wave
      • Gothic/Darkwave
      • New Wave
      • Punk Rock/Hardcore
    • R&B/Soul/Hiphop
      • Funk
      • R&B
      • Rap/Hip-Hop
      • Soul Music
    • Reggae/Ska
      • Reggae
      • Ska
    • Religious
      • Gospel
      • Religious
    • Rock
      • Alternative Rock
      • AOR
      • British Beat Rock
      • Folk Rock
      • Garage Rock
      • Glamrock
      • Group Sounds
      • Japanese Rock
      • Oldies
      • Progressive Rock
      • Rock
      • Southern Rock
      • Surf Rock
    • Soundtrack
      • Anime Song
      • Disney
      • Game Music
      • Musical
      • Soundtrack
      • Tokusatsu
    • World Music
      • Canzone
      • Chanson/French Pops
      • Hawaiian Music
      • War/Military Song
      • World Music
    • Other
      • Documentary
      • Instruction
      • Karaoke
      • Spoken World
      • Sports
  • CD
    • Japanese Music
      • Japanese Pops
      • Japanese Rock
      • Japanese Metal
      • Anime Song
      • Douyou
      • Enka
      • Group Sounds
      • Koto
      • Minyou
      • Rakugo
      • Roukyoku
      • School Song
      • Shakuhachi
      • Shamisen
      • Showa Kayo
      • Singer SongWriter
      • Takarazuka Revue
      • Tokusatsu
      • War/Military Song
    • Blues/Country
      • Bluegrass
      • Blues
      • Country Music
      • Southern Rock
    • Children's Song
      • Children
      • Douyou
    • Classical Music
      • Classical
      • Opera
    • Comedy
      • Comedy
      • Rakugo
    • Dance Music
      • Acid Jazz
      • Disco Music
      • House Music
      • Noise/Industrial Music
      • Techno
    • Easy Listening
      • Easy Listening
      • New Age
    • HM/HR
      • Heavy Metal & Hard Rock
      • Japanese Metal
    • Jazz
      • Acid Jazz
      • Bossa Nova
      • Easy Listening
      • Fusion
      • Jazz
    • Latin
      • Bossa Nova
      • Flamenco
      • Folklore
      • Latin Music
      • Salsa
      • Samba
      • Tango
    • Pops
      • Chanson/French Pops
      • Japanese Pops
      • Pops
      • Singer SongWriter
    • Punk/New Wave
      • Gothic/Darkwave
      • New Wave
      • Punk Rock/Hardcore
    • R&B/Soul/Hiphop
      • Funk
      • R&B
      • Rap/Hip-Hop
      • Soul Music
    • Reggae/Ska
      • Reggae
      • Ska
    • Religious
      • Gospel
      • Religious
    • Rock
      • Alternative Rock
      • AOR
      • British Beat Rock
      • Folk Rock
      • Garage Rock
      • Glamrock
      • Group Sounds
      • Japanese Rock
      • Oldies
      • Progressive Rock
      • Rock
      • Southern Rock
      • Surf Rock
    • Soundtrack
      • Anime Song
      • Disney
      • Game Music
      • Musical
      • Soundtrack
      • Tokusatsu
    • World Music
      • Canzone
      • Chanson/French Pops
      • Hawaiian Music
      • War/Military Song
      • World Music
    • Other
      • Documentary
      • Instruction
      • Spoken World
      • Sports
  • Books
  • Accessories
  • Big Discount Sale
    • 10% off
    • 30% off
    • 50% off
    • 70% off
    • 90% off
Log in Cart

Item added to your cart

View cart

We're shipping tons of Vinyls and CDs to worldwide from Japan every week since 2003. Please buy with confidence.

Search results

  • RVL-2017 front cover

    SAIJO, HIDEKI - special - RVL-2017

    Sale

    SAIJO, HIDEKI - special - RVL-2017

    Vendor:
    452-25-0901-012
    Regular price ¥891 JPY
    Regular price ¥990 JPY Sale price ¥891 JPY
    Sale
  • RVL-5005 front cover

    RVC ORCHESTRA - gotochi enka - RVL-5005

    RVC ORCHESTRA - gotochi enka - RVL-5005

    Vendor:
    26-0818-061
    Regular price ¥880 JPY
    Regular price ¥880 JPY Sale price ¥880 JPY
  • RVS-1557 front cover

    RVC ORCHESTRA - meotobune - RVS-1557

    Sale

    RVC ORCHESTRA - meotobune - RVS-1557

    Vendor:
    e141-25-0409-236
    Regular price ¥385 JPY
    Regular price ¥550 JPY Sale price ¥385 JPY
    Sale
  • RVS-1578 front cover

    RVC ORCHESTRA - onna no kimochi - RVS-1578

    Sale

    RVC ORCHESTRA - onna no kimochi - RVS-1578

    Vendor:
    e115-25-0421-120
    Regular price ¥385 JPY
    Regular price ¥550 JPY Sale price ¥385 JPY
    Sale
  • RPL-8336 front cover

    FAR CORPORATION - division one - RPL-8336

    Sale

    FAR CORPORATION - division one - RPL-8336

    Vendor:
    80-25-1021-043
    Regular price ¥1,485 JPY
    Regular price ¥1,650 JPY Sale price ¥1,485 JPY
    Sale
  • RVL-5020 front cover

    V/A - kekkonsiki no tameno ongaku 20 - RVL-5020

    Sale

    V/A - kekkonsiki no tameno ongaku 20 - RVL-5020

    Vendor:
    274-25-0617-155
    Regular price ¥770 JPY
    Regular price ¥1,100 JPY Sale price ¥770 JPY
    Sale
  • RVS-3041 front cover

    SAIJO, HIDEKI - best 4 - RVS-3041

    Sale

    SAIJO, HIDEKI - best 4 - RVS-3041

    Vendor:
    e157-25-0911-076
    Regular price ¥495 JPY
    Regular price ¥550 JPY Sale price ¥495 JPY
    Sale
  • RVS-1575 front cover

    RVC ORCHESTRA - meotobashi - RVS-1575

    Sale

    RVC ORCHESTRA - meotobashi - RVS-1575

    Vendor:
    e92-22-0707-196
    Regular price ¥55 JPY
    Regular price ¥550 JPY Sale price ¥55 JPY
    Sale
  • RVL-15005 front cover

    LAZY - v - RVL-15005

    Sale

    LAZY - v - RVL-15005

    Vendor:
    291-25-0618-041
    Regular price ¥1,001 JPY
    Regular price ¥1,430 JPY Sale price ¥1,001 JPY
    Sale
  • RFC-0720 front cover

    V/A - das gibt's nur einmal - RFC-0720

    Sale

    V/A - das gibt's nur einmal - RFC-0720

    Vendor:
    328-24-0603-111
    Regular price ¥198 JPY
    Regular price ¥660 JPY Sale price ¥198 JPY
    Sale
  • RVC-1561(M) front cover

    KREISLER, FRITZ - the art of fritz kreisler - RVC-1561(M)

    Sale

    KREISLER, FRITZ - the art of fritz kreisler - RVC-1561(M)

    Vendor:
    402-24-0807-071
    Regular price ¥264 JPY
    Regular price ¥880 JPY Sale price ¥264 JPY
    Sale
  • RVL-2023 front cover

    SIMMONS - simmons special vol.1 - RVL-2023

    Sale

    SIMMONS - simmons special vol.1 - RVL-2023

    Vendor:
    224-24-0930-009
    Regular price ¥275 JPY
    Regular price ¥550 JPY Sale price ¥275 JPY
    Sale
  • RVS-1542 front cover

    BEST KARAOKE SERIES - southpaw - RVS-1542

    Sale

    BEST KARAOKE SERIES - southpaw - RVS-1542

    Vendor:
    e40-21-0702-188
    Regular price ¥55 JPY
    Regular price ¥550 JPY Sale price ¥55 JPY
    Sale
  • RPL-3030 front cover

    V/A - 60 years of country music - RPL-3030

    Sale

    V/A - 60 years of country music - RPL-3030

    Vendor:
    60-24-0214-157
    Regular price ¥792 JPY
    Regular price ¥2,640 JPY Sale price ¥792 JPY
    Sale
  • RVL-2003 front cover

    SAIJO, HIDEKI - hideki live '76 - RVL-2003

    Sale

    SAIJO, HIDEKI - hideki live '76 - RVL-2003

    Vendor:
    328-25-0819-171
    Regular price ¥792 JPY
    Regular price ¥880 JPY Sale price ¥792 JPY
    Sale
  • RVL-7205 front cover

    LAZY - dream a dream - RVL-7205

    Sale

    LAZY - dream a dream - RVL-7205

    Vendor:
    273-25-0617-142
    Regular price ¥770 JPY
    Regular price ¥1,100 JPY Sale price ¥770 JPY
    Sale
  • RFC-0705 front cover

    V/A - to love again and other movie themes - RFC-0705

    Sale

    V/A - to love again and other movie themes - RFC-0705

    Vendor:
    98-24-0701-112
    Regular price ¥165 JPY
    Regular price ¥550 JPY Sale price ¥165 JPY
    Sale
  • RPL-8230 front cover

    HARVEY, RICHARD - images - RPL-8230

    Sale

    HARVEY, RICHARD - images - RPL-8230

    Vendor:
    204-25-0527-025
    Regular price ¥1,078 JPY
    Regular price ¥1,540 JPY Sale price ¥1,078 JPY
    Sale
  • RFC-0704 front cover

    V/A - tonight and other movie themes - RFC-0704

    Sale

    V/A - tonight and other movie themes - RFC-0704

    Vendor:
    152-24-0718-003
    Regular price ¥165 JPY
    Regular price ¥550 JPY Sale price ¥165 JPY
    Sale
  • RPL-3529 front cover

    V/A - the best of dance music - RPL-3529

    Sale

    V/A - the best of dance music - RPL-3529

    Vendor:
    389-23-0809-031
    Regular price ¥88 JPY
    Regular price ¥880 JPY Sale price ¥88 JPY
    Sale
  • RPL-3523 front cover

    RODGERS AND HAMMERSTEIN - south pacific - RPL-3523

    Sale

    RODGERS AND HAMMERSTEIN - south pacific - RPL-3523

    Vendor:
    31-25-0109-022
    Regular price ¥385 JPY
    Regular price ¥770 JPY Sale price ¥385 JPY
    Sale
  • VFC-5506 front cover

    SUZUKI, SHOJI - suzukake no michi - VFC-5506

    SUZUKI, SHOJI - suzukake no michi - VFC-5506

    Vendor:
    26-0327-084
    Regular price ¥1,320 JPY
    Regular price ¥1,320 JPY Sale price ¥1,320 JPY
  • RPS-107 front cover

    SPRINGFIELD, RICK - affair of the heart - RPS-107

    Sale

    SPRINGFIELD, RICK - affair of the heart - RPS-107

    Vendor:
    e100-25-1105-157
    Regular price ¥495 JPY
    Regular price ¥550 JPY Sale price ¥495 JPY
    Sale
  • RVL-2011-12 front cover

    MAEKAWA, KIYOSHI - super twin deluxe 28 - RVL-2011-12

    Sale

    MAEKAWA, KIYOSHI - super twin deluxe 28 - RVL-2011-12

    Vendor:
    364-24-0607-051
    Regular price ¥165 JPY
    Regular price ¥550 JPY Sale price ¥165 JPY
    Sale
  • 1
  • 2
  • 3
  • …
  • 42

Recently viewed products

Quick links

  • Condition Guide
  • Shipping Policy
  • Return/Refund Policy
  • Privacy Policy
  • Terms of Service
  • Login
  • My Account
  • Search
  • Contact Us
  • 日本語サイト

Subscribe to our emails

  • Facebook
  • Instagram
  • X (Twitter)
  • Pinterest
Payment methods
  • American Express
  • Apple Pay
  • Google Pay
  • JCB
  • Mastercard
  • PayPal
  • Shop Pay
  • Visa
© 2026, Snow Records Japan Powered by Shopify
  • Refund policy
  • Privacy policy
  • Terms of service
  • Shipping policy
  • Legal notice
  • Contact information
  • Choosing a selection results in a full page refresh.
  • Opens in a new window.